Security Enhanced Linux Reference Policy

# Layer: services

## Module: spamassassin

Tunables Interfaces

### Description:

Filter used for removing unsolicited email.

### Tunables:

spamassassin_can_network

##### Default value

false

##### Description

Allow user spamassassin clients to use the network.

spamd_enable_home_dirs

##### Default value

true

##### Description

Allow spamd to read/write user home directories.

Return

### Interfaces:

spamassassin_domtrans_client( domain )

##### Summary

Execute spamassassin client in the spamassassin client domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_domtrans_local_client( domain )

##### Summary

Execute spamassassin standalone client in the user spamassassin domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_dontaudit_getattr_spamd_tmp_sockets( domain )

##### Summary

Do not audit attempts to get attributes of temporary spamd sockets/

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

spamassassin_exec( domain )

##### Summary

Execute the standalone spamassassin program in the caller directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_exec_client( domain )

##### Summary

Execute the spamassassin client program in the caller directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_exec_spamd( domain )

##### Summary

Execute the spamassassin daemon program in the caller directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_manage_lib_files( domain )

##### Summary

Create, read, write, and delete spamd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_read_lib_files( domain )

##### Summary

read spamd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_read_spamd_tmp_files( domain )

##### Summary

Read temporary spamd file.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

spamassassin_role( role , domain )

##### Summary

Role access for spamassassin

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

spamassassin_signal_spamd( domain )

##### Summary

Singnal the spam assassin daemon

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return